Google Web Toolkit
Search Google Code:

# Interface SourcesFocusEvents

public interface SourcesFocusEvents
// Extended by `HasFocus`
// Implemented by `FocusWidget`, `SuggestBox`
A widget that implements this interface sources the events defined by the FocusListener interface.

## Methods

addFocusListener(FocusListener) | Adds a listener interface to receive mouse events.
removeFocusListener(FocusListener) | Removes a previously added listener interface.

## Method Detail

### addFocusListener

public void addFocusListener(FocusListener listener)
Adds a listener interface to receive mouse events.

#### Parameters

listener
  the listener interface to add

### removeFocusListener

public void removeFocusListener(FocusListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove